Name:           poker-eval
Version:        134.0
Release:        1%{?dist}
Summary:        Poker hand evaluator library

Group:          Development/Libraries
License:        GPL
URL:            http://pokersource.org/poker-eval
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
This package is a free (GPL) toolkit for writing programs which
simulate or analyze poker games.


%package devel
Summary:        Poker hand evaluator library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains headers and libraries required to build applications that
use poker-eval.


%prep
%setup -q

# use examples/ directory for devel package %doc section
mkdir -p tmp/examples && cp examples/*.c tmp/examples
rm -f tmp/examples/getopt_w32.c


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make %{?_smp_mflags} check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%doc tmp/examples
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed May 23 2007 Christopher Stone <chris.stone@gmail.com> 134.0-1
- Upstream sync
- Minor spec file cleanups

* Mon Oct 16 2006 Christopher Stone <chris.stone@gmail.com> 133.0-1
- Upstream sync
- Remove system macros

* Tue Aug 29 2006 Christopher Stone <chris.stone@gmail.com> 132.0-3
- Somehow the package name got messed up

* Tue Aug 29 2006 Christopher Stone <chris.stone@gmail.com> 132.0-2
- Attempted a make tag before committing new sources

* Tue Aug 29 2006 Christopher Stone <chris.stone@gmail.com> 132.0-1
- New release

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 131.0-3
- Remove %%makeinstall macro

* Fri Jun 09 2006 Christopher Stone <chris.stone@gmail.com> 131.0-2
- Add pkgconfig to devel Requires
- Use macros for system commands
- Use %%makeinstall macro

* Sat May 13 2006 Christopher Stone <chris.stone@gmail.com> 131.0-1
- upstream sync
- Remove rpmlint fix since it's no longer needed

* Sun Apr 23 2006 Christopher Stone <chris.stone@gmail.com> 130.0-5
- Update URL to new permanent URL

* Sun Apr 23 2006 Christopher Stone <chris.stone@gmail.com> 130.0-4
- Update URL tag to new home page
- Minor spec file cleanups
- Bump release number for rebuild on devel

* Sat Apr 22 2006 Christopher Stone <chris.stone@gmail.com> 130.0-3
- Copy .c files in tmp/examples directory and use this for devel's %%doc

* Tue Apr 18 2006 Christopher Stone <chris.stone@gmail.com> 130.0-2
- Added %%check section
- Removed make build_tables
- Updated Source0 and URL

* Thu Mar 30 2006 Loic Dachary <loic at gnu.org> 130.0-1
- upstream sync

* Sat Mar 18 2006 Christopher Stone <chris.stone@gmail.com> 129.0-1
- Initial RPM release
